[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Yum Upgrade Faq



Dimi Paun wrote:

On Wed, 2005-06-15 at 03:07 -0400, seth vidal wrote:


okay - just run:
yum upgrade

and see what it does.



I'm having a bit of a problem too:

[root dimi ~]# rpm -e kernel-utils
--> Processing Dependency: kernel-utils for package: kernel-smp
--> Processing Dependency: kernel-utils for package: kernel
--> Processing Dependency: kernel-utils for package: kernel
--> Finished Dependency Resolution
Error: Missing Dependency: kernel-utils is needed by package kernel
Error: Missing Dependency: kernel-utils is needed by package kernel-smp

Here are the details:

[root dimi ~]# rpm -q kernel-utils
kernel-utils-2.4-13.1.49_FC3
[root dimi ~]# rpm -e kernel-utils-2.4-13.1.49_FC3
error: Failed dependencies:
  kernel-utils is needed by (installed) lm_sensors-2.8.7-2.i386
  kernel-utils is needed by (installed) kernel-2.6.11-1.14_FC3.i686
  kernel-utils is needed by (installed) kernel-smp-2.6.11-1.27_FC3.i686
  kernel-utils is needed by (installed) kernel-2.6.11-1.27_FC3.i686

Why is kernel-2.6.11 dependent on kernel-utils-2.4.13 I don't know...



Its documented well in http://fedoraproject.org/wiki/YumUpgradeFaq

regards
Rahul


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]